### File

`packages/components/eui-chip-button/eui-chip-button.component.ts`

### Description

Chips are compact elements that allow users to enter information, select a choice, filter content or trigger an action. The eui-chip component can also be displayed dynamically as a group of multiple interactive elements, see eui-chip-list.

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiSecondary euiSuccess euiInfo euiWarning euiDanger euiVariant euiSizeS euiSizeVariant euiOutline euiDisabled
selector | `eui-chip-button, span[euiChipButton], li[euiChipButton]`
imports | `EUI_ICON` `EUI_ICON_BUTTON`
templateUrl | `./eui-chip-button.component.html`
styleUrl | `./eui-chip-button.scss`

### Index

###### Properties
baseStatesDirective
###### Methods
onClick
###### Inputs
e2eAttr euiInternalId id isFilled tooltipMessage
###### Outputs
buttonClick
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-chip'`
Sets the `data-e2e` attribute for the host element.

euiInternalId
Type : `string`
Default value : `null`
Sets the euiInternalId of the chip.

id
Type : `string | number`
Sets the id of the chip.

isFilled
Type : `boolean`
Default value : `false`
Wether the chip is filled with color.

tooltipMessage
Type : `string`
Sets the label of the tooltip to diaply on hover.

### Outputs

buttonClick
Type : `EventEmitter`

### HostBindings

class
Type : `string`

### Methods

onClick
`onClick()`
Returns : `void`

### Properties

baseStatesDirective
Type : `unknown`
Default value : `inject(BaseStatesDirective)`

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the component based on its current state. Returns : `string`

# results matching ""

# No results matching ""